Bug 1122870 - Cannot start server with Azul JVM
Summary: Cannot start server with Azul JVM
Keywords:
Status: CLOSED DUPLICATE of bug 1185813
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Installer
Version: 6.1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Hauser
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 09:18 UTC by Filip Nguyen
Modified: 2015-10-12 13:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 19:30:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Filip Nguyen 2014-07-24 09:18:57 UTC
With OOTB configuration, its not possible to start DV server with Azul JVM (so its not even possible to install it).

Reason for that is that Azul JVM doesn't accept -Xms and -Xmx to be of the same size. 

Workaround is to set JAVA_OPTS shell property before installation/start:


"export JAVA_OPTS="-server -XX:+UseCompressedOops -Xms1303m -Xmx1304m..."

Comment 2 Julian Coleman 2015-01-14 09:47:01 UTC
JAVA_OPTS is set in the EAP configuration, so requires an EAP fix.

Comment 4 Anne-Louise Tangring 2015-03-23 13:09:29 UTC
Do we want to change the installer to allow the user to change the settings for all JVMs?


Note You need to log in before you can comment on or make changes to this bug.